Bug 91089 - DNS lookups are slow
Summary: DNS lookups are slow
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-17 17:39 UTC by Need Real Name
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-27 21:39:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2003-05-17 17:39:53 UTC
Description of problem:
DNS lookups from Mozilla, Lynx, Firebird are slow.
* dig is not *

Version-Release number of selected component (if applicable):
RH 9

How reproducible:
Every time.

Comment 1 Need Real Name 2003-05-27 21:39:19 UTC
This is fixed by issuing the following command:
 /etc/init.d/network restart

This doesn't explain why dig wasn't slow though..

Comment 2 Christopher Blizzard 2003-06-02 14:52:13 UTC
Mozilla might have old cached nameserver information?  Is it possible you're
starting Mozilla before the networking has come up, somehow?

Anyway, another good test is to try going offline and then back online to reset
DNS settings.  And make sure you have a relatively new Mozilla installed.

Comment 3 Need Real Name 2003-06-02 17:29:47 UTC
I tested this with the latest stable Mozilla, and the latest beta Mozilla.
I also had the same problem of slow DNS lookups with Ximian Evolution.

Networking cannot have been started before X has run.

Comment 4 Christopher Blizzard 2003-06-02 18:30:07 UTC
I'm sorry, does that mean that Mozilla started before your network was
configured?  Your statement is confusing.

Comment 5 Need Real Name 2003-06-02 18:40:42 UTC
> Networking cannot have been started before X has run.
Networking starts before X runs. I run Mozilla after X has loaded.

By X I mean X-Windows :)

Comment 6 David Kaplan 2003-08-12 19:34:13 UTC
This bug seems similar to bug #90211 which I see all the time.  mozilla does
seem to be using old DNS info.


Note You need to log in before you can comment on or make changes to this bug.